Skip to content

Список товаров для участия в акции ​

http
GET /api/v1/calendar/promotions/nomenclatures

База: https://dp-calendar-api.wildberries.ru · Модуль: promotion · Раздел: Календарь акций · Документация спецификации ↗

Метод формирует список товаров, подходящих для участия в акции. Эти товары можно добавить в акцию с помощью отдельного метода.

Данный метод неприменим для автоакций.

Лимит запросов на один профиль продавца для всех методов категории Календарь акций:

ПериодЛимитИнтервалВсплеск
6 сек10 запросов600 мс5 запросов

Ответы ​

КодОписаниеСхема
200Успешноobject
400Неправильный запросobject
401Не авторизованobject
402Требуется платёжobject
403Доступ запрещёнobject
422Ошибка обработки параметров запросаobject
429Слишком много запросовobject

Структура 200:

  • data object — Данные ответа
    • nomenclatures PromoItemsList[] — Список товаров
      • id integer<int64> — Артикул WB
      • inAction boolean — Участвует в акции: - true — да - false — нет
      • price number<float> — Текущая розничная цена
      • currencyCode string — Валюта в формате ISO 4217
      • planPrice number<float> — Плановая цена (цена во время акции)
      • discount integer<int64> — Текущая скидка
      • planDiscount integer<int64> — Рекомендуемая скидка для участия в акции

Структура 400:

  • errorText string — Текст ошибки

Структура 401:

  • title string — Заголовок ошибки
  • detail string — Детали ошибки
  • code string — Внутренний код ошибки
  • requestId string — Уникальный ID запроса
  • origin string — ID внутреннего сервиса WB
  • status number — HTTP статус-код
  • statusText string — Расшифровка HTTP статус-кода
  • timestamp string — Дата и время запроса

Структура 402:

Структура 403:

  • title string — Заголовок ошибки
  • detail string — Детали ошибки
  • code string — Внутренний код ошибки
  • requestId string — ID запроса
  • origin string — ID внутреннего сервиса WB
  • status number — HTTP статус-код
  • statusText string — Расшифровка HTTP статус-кода
  • timestamp string — Дата и время запроса

Структура 422:

  • errorText string — Текст ошибки

Структура 429:

  • title string — Заголовок ошибки
  • detail string — Детали ошибки
  • code string — Внутренний код ошибки
  • requestId string — Уникальный ID запроса
  • origin string — ID внутреннего сервиса WB
  • status number — HTTP статус-код
  • statusText string — Расшифровка HTTP статус-кода
  • timestamp string — Дата и время запроса

Примеры вызова ​

Аргументы показаны именами параметров — подставьте свои значения. Языки, в клиенте которых этой операции нет, не показаны.

python
from wb_api_client.promotion import Configuration, ApiClient
from wb_api_client.promotion.api import PromotionApi

cfg = Configuration(access_token="<ваш JWT WB>")
api = PromotionApi(ApiClient(cfg))

result = api.get_v1_calendar_promotions_nomenclatures(promotion_id=..., in_action=..., limit=..., offset=...)
print(result)
ts
import {
  Configuration,
  PromotionApi,
} from "@valeryverkhoturov/wb-api-client/promotion";

const cfg = new Configuration({});
cfg.setAccessToken("<ваш JWT WB>");
const api = new PromotionApi(cfg);

const { data } = await api.getV1CalendarPromotionsNomenclatures(promotionID, inAction, limit, offset);
console.log(data);
go
import (
	"context"
	"fmt"

	wbpromotion "github.com/ValeryVerkhoturov/wb-api-client-go/promotion"
)

cfg := wbpromotion.NewConfiguration()
cfg.SetAccessToken("<ваш JWT WB>")
client := wbpromotion.NewAPIClient(cfg)

result, _, err := client.PromotionAPI.GetV1CalendarPromotionsNomenclatures(context.Background()).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.promotion.ApiClient;
import io.github.valeryverkhoturov.wbapi.promotion.SecretString;
import io.github.valeryverkhoturov.wbapi.promotion.api.PromotionApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<ваш JWT WB>"));
PromotionApi api = new PromotionApi(client);

System.out.println(api.getV1CalendarPromotionsNomenclatures(promotionID, inAction, limit, offset));
php
use ValeryVerkhoturov\WbApiClient\Promotion\Configuration;
use ValeryVerkhoturov\WbApiClient\Promotion\SecretString;
use ValeryVerkhoturov\WbApiClient\Promotion\Api\PromotionApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<ваш JWT WB>'));
$api = new PromotionApi(new Client(), $config);

print_r($api->getV1CalendarPromotionsNomenclatures($promotion_id, $in_action));
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<ваш JWT WB>");
Клиент = Новый PromotionApi(Настройки);

Сообщить(Клиент.GetV1CalendarPromotionsNomenclatures(promotionID, inAction).Тело);
csharp
using ValeryVerkhoturov.WbApiClient.Promotion.Api;
using ValeryVerkhoturov.WbApiClient.Promotion.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<ваш JWT WB>");
var api = new PromotionApi(config);

Console.WriteLine(api.GetV1CalendarPromotionsNomenclatures(promotionID, inAction));
rust
use wb_api_client::promotion::apis::{configuration::Configuration, promotion_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<ваш JWT WB>");

    let result = promotion_api::get_v1_calendar_promotions_nomenclatures(&cfg, promotion_id, in_action, limit, offset).await;
    println!("{:#?}", result);
}

Распространяется под лицензией Apache 2.0.